package org.rcisoft.business.memLeaveMessage.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.memLeaveMessage.entity.*;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年12月20日 下午3:35:34.
*/

public interface MemLeaveMessageRepository extends CyBaseMapper<MemLeaveMessage> {


    /**
     * 分页查询对话
     */
    IPage<MemLeaveMessage> queryTalkByPagination(CyPageInfo cyPageInfo, @Param("entity") MemLeaveMessage memLeaveMessage);

    /**
     * 查询留言详情列表
     */
    IPage<MemLeaveMessage> leaveMessageDetailList(CyPageInfo cyPageInfo, @Param("entity") MemLeaveMessage memLeaveMessage);

    /**
     * 查询是否存在该对话
     */
    MemLeaveMessage queryUserTalk(@Param("userId") Integer userId,@Param("targetId") Integer targetId);

    /**
     * 插入对话
     */
    int insertUserTalk(MemLeaveMessage memLeaveMessage);

    /**
     * 修改对话
     */
    int updateUserTalk(MemLeaveMessage memLeaveMessage);

    /**
     * 分页查询留言
     */
    IPage<MemLeaveMessage> queryMessageByPagination(CyPageInfo cyPageInfo, @Param("entity") MemLeaveMessage memLeaveMessage);
}

